# Class: VectorEvent

## ol.source.VectorEvent

### Extends

- goog.events.Event
- oli.source.VectorEvent

### Members

#### feature{ol.Feature} {undefined} experimental

  The feature being added or removed.

### Events

#### addfeature experimental

src/ol/source/vectorsource.js, line 25

  Triggered when a feature is added to the source.

#### removefeature experimental

src/ol/source/vectorsource.js, line 31

  Triggered when a feature is removed from the source.